import uuid

import requests

from estuary.exceptions import UnauthorizedException


def validate_api_key(api_key: str) -> None:
    if len(api_key) != 42:
        raise UnauthorizedException()

    try:
        uuid.UUID(api_key.lstrip('EST').rstrip('ARY'))
    except ValueError:
        raise UnauthorizedException()

    api_request_headers = {
        'Authorization': f'Bearer {api_key}'
    }

    api_request = requests.get('https://api.estuary.tech/content/stats', headers=api_request_headers)

    if api_request.status_code != 200:
        raise UnauthorizedException()
